> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/proposal-microservice/search-proposals.md).

# Search proposals

Use the **searchProposals** method via SOAP APIv6 to find a specific proposal or quote.

## Request parameters

| Parameters         | Type    | Required/Optional | Description                                                                                |
| ------------------ | ------- | ----------------- | ------------------------------------------------------------------------------------------ |
| **sessionId**      | String  | Required          | Unique 2Checkout session ID code.                                                          |
| **Name**           | String  | Optional          | Proposal name.                                                                             |
| **Email**          | String  | Optional          | The bill to or sell to email.                                                              |
| **CreatedBy**      | String  | Optional          | The unique external system user identifier.                                                |
| **ModifiedBy**     | String  | Optional          | The unique external system user identifier.                                                |
| **Source**         | String  | Optional          | The source from where the proposal was created.                                            |
| **CreatedAfter**   | String  | Optional          | The UTC date and time in ISO 8601 format.                                                  |
| **CreatedBefore**  | String  | Optional          | The UTC date and time in ISO 8601 format.                                                  |
| **ModifiedAfter**  | String  | Optional          | The UTC date and time in ISO 8601 format.                                                  |
| **ModifiedBefore** | String  | Optional          | The UTC date and time in ISO 8601 format.                                                  |
| **Locked**         | Boolean | Optional          | <p>Retrieve proposals that are locked or not.<br>Possible values:<br>- True<br>- False</p> |
| **Offset**         | Integer | Required          | The offset at which the proposals should be returned. Default value: 0.                    |
| **Limit**          | Integer | Required          | The maximum number of proposals to return. Default value: 10.                              |
| **LinkId**         | String  | Optional          | The link id for any status.                                                                |

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$searchParameters = new stdClass();
$searchParameters->Name = "My Proposal Name";
$searchParameters->Email = "example@email.com";
$searchParameters->CreatedBy = "createUser";
$searchParameters->ModifiedBy = "modifyUser";
$searchParameters->Source = "MERCHANT_API";
$searchParameters->CreatedAfter = "2020-01-01T00:00:00+00:00";
$searchParameters->CreatedBefore = "2020-12-31T23:59:59+00:00";
$searchParameters->ModifiedAfter = "2020-01-01T00:00:00+00:00";
$searchParameters->ModifiedBefore = "2020-12-31T23:59:59+00:00";
$searchParameters->Locked = false;
$searchParameters->Offset = 0;
$searchParameters->Limit = 10;

try {
    $results = $soapClient->searchProposals($sessionID, $searchParameters);
    echo "Search results: </br>",
    var_dump($results);
}
catch (SoapFault $e) {
    echo "Could not search proposals: " . $e->getMessage();
    exit;
}
```

## Response

The **searchProposals** call via SOAP APIv6 returns a list of [Proposal objects](/soap-api-reference/soap-api-6.0/api-requests/proposal-microservice.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/proposal-microservice/search-proposals.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
